// Copyright 1998-2019 Epic Games, Inc. All Rights Reserved.

#include "CurveFactoryBPLibrary.h"
#include "CurveFactory.h"

UCurveFactoryBPLibrary::UCurveFactoryBPLibrary(const FObjectInitializer& ObjectInitializer)
: Super(ObjectInitializer)
{

}

float UCurveFactoryBPLibrary::CurveFactorySampleFunction(float Param)
{
	return -1;
}

void UCurveFactoryBPLibrary::FloodCurveWithKeys(UCurveFloat* Curve, TArray<FPoorCurveKey> Keys)
{
	TArray<FRichCurveKey> RichKeys;
	for (int i = 0; i < Keys.Num(); i++)
	{
		FRichCurveKey t;
		t.Time = Keys[i].Time;
		t.Value = Keys[i].Value;
		RichKeys.Add(t);
	}
	Curve->FloatCurve.SetKeys(RichKeys);
	Curve->MarkPackageDirty();
}
